import passport from 'passport';
import { facebookStrategy, facebookRouter } from './providers/facebook';
import { Router } from 'express'
import UserModel, { User } from '../models/user'

export function initPassport(): void {
  passport.serializeUser((user: User, done) => {
    done(null, user.id);
  });

  passport.deserializeUser((id, done) => {
    UserModel.findById(id, (err, user) => {
      done(err, user);
    });
  });

  passport.use('facebook', facebookStrategy());
}

export const authRouter = Router();
authRouter.use(facebookRouter);
